<?php

class User extends Skel {
    
    var $first_name;
    var $last_name;
    var $email;
    var $id;
    var $error_messages;
    
    /**
     * @return void
     * @desc Constructor for classes that extend Skel
    */
    function init() {
        $this->table = "users";
        $this->pkey = "id";
        $this->fields = array("first_name", "last_name", "email");
    }
    
    /**
     * @return boolean
     * @param int $id
     * @desc Fills out instance variables from database
    */
    function pop($id) {
        
        # Build your SELECT query
        $query = "SELECT * FROM `" . $this->table . "` WHERE " . $this->pkey . " = '$id'";
        
        # Use PEAR::DB to process the result and do the error control
        if ($this->datalink->isError($result = $this->datalink->getRow($query, DB_FETCHMODE_ASSOC))) {
	        $this->error_messages = "SQL Fatal Error: " . DB::ErrorMessage($result);
	        $this->error_messages .= "<br>SQL Query: <pre>\n$query\n</pre>\n<br>";
	        # Return FALSE if you encounter an error
	        return FALSE;
	    } else {
	        # Otherwise, synchronise the current object with the results of the query.
	        foreach(array_keys($result) as $current) {
	            $this->$current = $result[$current];
	        }
	        return TRUE;
	    }
    }
    
    /**
     * @return boolean
     * @desc Inserts values stored in current object in the database
    */
    function __insert() {
        # Use Skel::__get_fields and Skel::__get_values
        # to build your SQL query.
        $query = "INSERT INTO `".$this->table."` (".
        $this->__get_fields() . ") VALUES(" .
        $this->__get_values() . ")";
        
        # Use PEAR::DB to process the result and do the error control
        if ($this->datalink->isError($result = $this->datalink->query($query))) {
			$this->error_messages = "SQL Fatal Error: " . DB::ErrorMessage($result);
			$this->error_messages .= "<br>SQL Query: <pre>\n$query\n</pre>\n<br>";
			return FALSE;
		} else {
			return TRUE;
		}
    }
    
    /**
     * @return boolean
     * @param int $id
     * @desc Updates appropriate record in the database.
    */
    function __update($id) {
        # This blocks generates the SQL Update sequence.
        $query = "UPDATE `".$this->table."` SET ";
        $sequence = "";
        foreach($this->fields as $field) {
            $sequence .= $field . " = " . $this->$field . ", ";
        }
        $size = strlen($sequence)-2;
        $query .= substr($sequence, 0, $size);
        
        # Use PEAR::DB to process the result and do the error control
        if ($this->datalink->isError($result = $this->datalink->query($query))) {
			$this->error_messages = "SQL Fatal Error: " . DB::ErrorMessage($result);
			$this->error_messages .= "<br>SQL Query: <pre>\n$query\n</pre>\n<br>";
			return FALSE;
		} else {
			return TRUE;
		}
    }
    
    /**
     * @return boolean
     * @param int $id
     * @desc Deletes an entry in the database.
    */
    function delete($id) {
        
        # This is a simple DELETE SQL statement
        $query = "DELETE FROM `".$this->table."` WHERE `".
        $this->pkey."` = '$id'";
        
        # Use PEAR::DB to process the result and do the error control
        if ($this->datalink->isError($result = $this->datalink->query($query))) {
			$this->error_messages = "SQL Fatal Error: " . DB::ErrorMessage($result);
			$this->error_messages .= "<br>SQL Query: <pre>\n$query\n</pre>\n<br>";
			return FALSE;
		} else {
			return TRUE;
		}
    }
    
    
}

