<?php

###################################################################################
#
# Config.inc.php - Sets up configuration variables and initializes runtime routines
#
###################################################################################

# Part 1 - User-defined variables... You should change these

// Database Parameters:
define("DB_TYPE",                            "mysql");
define("DB_USR",                             "******");
define("DB_PASS",                            "******");
define("DB_NAME",                            "skel");
define("DB_HOST",                            "localhost");
//define("DB_SOCK",                            "/var/lib/mysql/mysql.sock"); // Default for RedHat
define("DB_SOCK",                            "/var/run/mysqld/mysqld.sock"); // Default for MySQL

define("APP_NAME",                           "Data-Flow");
define("VERSION",                            "1.0");

// This example does not offer any debugging capability, but you would turn it on here.
define("__DEBUG__",                          FALSE);
define("__PCONNECT__",                       FALSE); // Persistent connection to the database

# Part 2 - Runtime variables, you should never change these

# DSN:
# This first DSN is commonly used. It accesses the database through the network
##define("DSN",                                DB_TYPE."://".DB_USR.":".DB_PASS."@".DB_HOST."/".DB_NAME);
# This second style is not always available. It uses a socket to connect to the database.
define("DSN", DB_TYPE."://".DB_USR.":".DB_PASS."@unix(".DB_SOCK.")/".DB_NAME);

/* Paths information (Do NOT change these EVER)       */

define("ROOT",                               dirname(__FILE__));
define("CLASSES_PATH",                       ROOT . "/classes/");
define("LIBS_PATH",                          ROOT . "/lib/");
define("TPL_PATH",                           ROOT . "/tpl/");
define("TPL_CACHE_PATH",                     ROOT . "/tpl_cache/");
define("MODS_PATH",                          ROOT . "/modules/");
define("IMAGES_PATH",                        ROOT . "/images/");

/* URIs for our application */
define("URI",                                "http://" . TOP_DOMAIN . "/");
define("SSL_URI",                            "https://" . TOP_DOMAIN . "/");

/* Runtime dependencies (PEAR, etc...) */
require_once                                 LIBS_PATH . "functions.lib.php";
require_once                                 'DB.php'; # PEAR DB
require_once                                 'HTML/Template/Sigma.php';

require_class("skel");

// Initiate Database connection
include_once                                 LIBS_PATH . "runtime.php";

?>
