<?php

###################################################################################
#
# Index.php - Collects input and passes it onto the switchboard
# Then collects results back from the switchboard and outputs it.
#
###################################################################################
$start = microtime();

###################################################################################
#
# We always want to have a session open and since index.php is ALWAYS loaded,
# we don't need to use headers for this...
#
###################################################################################
session_start();

/* configuration file and runtime initialization routines */
include_once("config.inc.php");

/* This enables compressed output buffering
   If offers a higher speed over the network but is more CPU-intensive */
ob_start("ob_gzhandler", 6);



/* Initialize our index_content */
$index_content = "";

/* Prepare the switchboard */
require_once LIBS_PATH . "switchboard.php";

####################################################################################
#
# The $index_content is modified by switchboard() which in turns returns the
# section name.
#
####################################################################################
/* Call Switchboard and save the return value as section name */
$section_name = switchboard($index_content);

/* Initiate the templating engine */
$index =& new HTML_Template_Sigma(TPL_PATH, TPL_CACHE_PATH);
$index->loadTemplateFile("index.tpl", TRUE, TRUE);

####################################################################################
#
# Variable substitution block
#
####################################################################################
$index->setVariable("app_name", APP_NAME);
$index->setVariable("section_name", $section_name);
$index->setVariable("content", $index_content);




$index->show();

$end = microtime();
echo "<br><br><br><center><i>Generated in: " . ($end - $start) . " sec</i></center>";

// Generate the output
ob_end_flush();



?>